import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The class Dodo for BitParity implementation.
 * 
 * @author Sjaak Smetsers & Renske Smetsers-Weeda
 * @version 2.0 -- 15-10-2016
 */
public class Dodo extends Bird
{
    protected Dodo( int init_direction ) {
        super( init_direction );
    }   
    
    public void turn180 () {
        turnLeft();
        turnLeft();
    }
    
    private void jump ( int distance ) {
        if ( distance < 0 ) {
            turn180();
            while ( distance < 0 ) {
                move();
                distance++;
            }
            turn180();
        } else {
            while ( distance > 0 ) {
                move();
                distance--;
            }
        }
    }
        
    /**
     * Walk to coordinate position, relative to current position 
     * 
     * @param row   the row number to go to, relative to the current position
     * @param column   the column number to go to, relative to the current position
     */
    public void walkToCoordinate( int row, int column ) {
        jump( column );
        turnRight();
        jump( row );        
        turnLeft();
    }
         

    /**
     * Determines if a given value is even
     * 
     * @param   value   an integer for which must be checked if it is even or not
     * @return  true    if an even value is given, false if an odd value is given
     */
    public boolean isEven( int value ){
        if( value % 2 == 0 ){ //value is even
            return true;
        }else{// value is odd
            return false;
        }
    }
}
